=== debian/changelog ===
telepathy-qt (0.9.8+ds-4) unstable; urgency=medium

  * Team upload.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Mon, 03 Aug 2020 00:32:37 +0200

telepathy-qt (0.9.8+ds-3) unstable; urgency=medium

  * Team upload.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Stop passing --fail-missing to dh_missing, as it is the default behaviour
    in debhelper compatibility 12+.
  * Update symbols files for GCC 10. (Closes: #957867)
  * Use https for all the telepathy.freedesktop.org links.
  * Update symbols file reference URL in README.source.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Aug 2020 21:17:13 +0200

telepathy-qt (0.9.8+ds-2) unstable; urgency=medium

  * Team upload.
  * Remove build dependencies: libgstreamer-plugins-base1.0-dev, python3-dev,
    and qttools5-dev.
  * Change the python3 build dependency to python3:any, as Python is needed
    only as build tool.
  * Update lintian overrides.
  * Update symbols file from the logs of buildds.
  * Do not include /usr/share/dpkg/architecture.mk in rules anymore, as it is
    not used.

 -- Pino Toscano <pino@debian.org>  Sun, 24 Nov 2019 09:56:16 +0100

telepathy-qt (0.9.8+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Vcs-* fields.
  * Python 3 is used instead of Python 2, so replace python, and python-dev
    with python3, and python3-dev. (Closes: #938643)
  * Remove the unused cmake parameters -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)",
    and -DDESIRED_QT_VERSION=5.
  * We do not run the tests (as flaky), so:
    - remove the python3-dbus, and libxml2-utils build dependencies
    - add the -DENABLE_TESTS=NO cmake parameter to stop building them
  * The API documentation is not built, so:
    - remove the -DHAVE_DOT=YES cmake parameter
    - drop the improve-doxygen-build.patch patch
  * Add the -DENABLE_EXAMPLES=NO cmake parameter to disable the building of the
    examples, as they are not shipped.
  * Update symbols files.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Since we are repacking the tarball (to remove the pre-generated
    documentation):
    - remove the upstream signing key
    - add the +ds suffix to the version
    - adapt the watch file for the +ds suffix, and the lack of signature
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Tue, 19 Nov 2019 11:23:08 +0100

telepathy-qt (0.9.7-5) unstable; urgency=medium

  * Team upload.
  * Update symbols file. (Closes: #897118)
  * Bump Standards-Version to 4.1.4, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Apr 2018 17:44:10 +0200

telepathy-qt (0.9.7-4) unstable; urgency=medium

  * Team upload.
  * Explicitly add build dependencies whose stuff is explicitly searched by
    the build system: libdbus-1-dev, libdbus-glib-1-dev, libglib2.0-dev, and
    libxml2-dev. (Closes: #894154)
  * Remove the pkg-config dependency in libtelepathy-qt5-dev: the majority of
    the reverse dependencies use cmake and its config files, and the rest has
    pkg-config already as build dependency.
  * Drop patch fix_qt4_test_build.patch, since it is useful for the Qt4 build
    which is not done anymore.

 -- Pino Toscano <pino@debian.org>  Tue, 27 Mar 2018 22:55:29 +0200

telepathy-qt (0.9.7-3) unstable; urgency=medium

  * Team upload.
  * Properly handle the switch from symlink to directory for all the doc
    directories: (Closes: #886943)
    - add .maintscript snippets for all the binaries, invoking symlink_to_dir
    - add Pre-Depends: ${misc:Pre-Depends} for libtelepathy-qt5-dev (already
      in other binaries)
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Switch from dh_install to dh_missing for --fail-missing.
  * Minor touches to copyright: use https for Format, and switch from
    Upstream-Source to Source.

 -- Pino Toscano <pino@debian.org>  Sat, 17 Mar 2018 17:31:40 +0100

telepathy-qt (0.9.7-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files from buildd's logs.
  * Remove debian/gbp.conf file, since the packaging repository is not managed
    using git-buildpackage
    - drop note about it in README.source
  * Stop suggesting libtelepathy-qt5-doc in libtelepathy-qt5-dev, since that
    -doc package does not exist.
  * Remove the Qt4 packages, as they are not used in the archive anymore:
    (Closes: #875206)
    - remove the libtelepathy-qt4-2, libtelepathy-qt4-farstream2,
      libtelepathy-qt4-dev, and libtelepathy-qt4-doc packages (Closes: #801817)
    - remove the libqt4-dev, qt4-dev-tools, and qt4-doc-html build dependencies
    - remove the double build in rules
    - remove also the doxygen, and graphviz build dependencies, since there is
      no documentation generated anymore
  * Update Vcs-* fields.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Dec 2017 00:47:45 +0100

telepathy-qt (0.9.7-1) unstable; urgency=medium

  * Team upload.

  [ Rohan Garg ]
  * New upstream release
  * Drop upstreamed patches
  * Refresh improve-doxygen-build.patch
  * Add fix_qt4_test_build.patch
  * Bump standards version, no changes required

  [ Pino Toscano ]
  * Update symbols files.
  * Drop libssl build dependency, since it does not seem to be needed, and
    it is not clear why it was added in the first place. (Closes: #882562)
  * Update Vcs-Browser field.
  * Remove libtelepathy-qt4-dbg, and libtelepathy-qt5-dbg in favour of the
    -dbgsym packages.
  * Remove trailing whitespaces in changelog.
  * Simplify watch file, and switch it to https.
  * Drop outdated dpkg-dev build dependency.
  * Bump Standards-Version to 4.1.2, no changes required.

