=== debian/control ===
Source: telepathy-qt
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Michał Zając <quintasan@kubuntu.org>,
           Diane Trout <diane@debian.org>
Build-Depends: debhelper-compat (= 12),
               pkg-kde-tools (>= 0.12),
               cmake,
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libglib2.0-dev,
               libgstreamer1.0-dev,
               qtbase5-dev (>= 5.0),
               libfarstream-0.2-dev (>= 0.2.3),
               libtelepathy-farstream-dev (>= 0.6.0),
               libtelepathy-glib-dev (>= 0.20.1),
               libxml2-dev,
               pkg-config,
               python3:any,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/telepathy-qt.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/telepathy-qt
Homepage: https://telepathy.freedesktop.org/wiki/

Package: libtelepathy-qt5-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Telepathy framework - Qt 5 library
 This package contains telepathy-qt5, a Qt-based library for Telepathy
 components.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.

Package: libtelepathy-qt5-farstream0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libtelepathy-qt5-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Telepathy/Farsight integration - Qt 5 library
 telepathy-qt5-farstream provides telepathy-qt5 integration with
 telepathy-farstream, which implements media streaming using GStreamer and
 Farsight.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.

Package: libtelepathy-qt5-dev
Architecture: any
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: qtbase5-dev (>= 5.0.0),
         libtelepathy-qt5-0 (= ${binary:Version}),
         libtelepathy-qt5-farstream0 (= ${binary:Version}),
         libtelepathy-farstream-dev,
         ${misc:Depends}
Description: Qt 5 Telepathy library (headers and static library)
 This package contains development files for telepathy-qt5, a Qt-based
 library for Telepathy components.
 .
 Telepathy is a D-Bus framework for unifying real time communication,
 including instant messaging, voice calls and video calls. It abstracts
 differences between protocols to provide a unified interface for
 applications.
