=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds$//,repacksuffix=+ds,pgpmode=none \
https://telepathy.freedesktop.org/releases/telepathy-qt/telepathy-qt-(.*)\.tar\.gz
